﻿using System;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Employee> list = new ObservableCollection<Employee>();

            list.Add(new Employee() { Name = "Barbara Bailey", Department = "Admin", Salary = 35750, Email = "bb@hotmail.com", FavoriteColor = Colors.Orange });
            list.Add(new Employee() { Name = "Bobby Jones", Department = "Accounting", Salary = 53250, Email = "bobbyJ@hotmail.com", FavoriteColor = Colors.Red });
            list.Add(new Employee() { Name = "John Smith", Department = "Human Resources", Salary = 52500, Email = "john@hotmail.com", FavoriteColor = Colors.Green });
            list.Add(new Employee() { Name = "Jonathan Barclay", Department = "Board of Directors", Salary = 123000, Email = "jonathan@hotmail.com", FavoriteColor = Colors.Blue });
            list.Add(new Employee() { Name = "Kate Shannon", Department = "Sales", Salary = 69000, Email = "kates@hotmail.com", FavoriteColor = Colors.Yellow });
            list.Add(new Employee() { Name = "Margaret Jones", Department = "Admin", Salary = 37750, Email = "margej@hotmail.com", FavoriteColor = Colors.Magenta });
            list.Add(new Employee() { Name = "Martha Beckinsale", Department = "Sales", Salary = 99700, Email = "marthab@hotmail.com", FavoriteColor = Colors.Cyan });
            list.Add(new Employee() { Name = "Mary Harnandez", Department = "Sales", Salary = 65100, Email = "maryh@hotmail.com", FavoriteColor = Colors.Pink });

            this.xamDataGrid1.DataSource = list;
        }
    }

    public class Employee
    {
        public string Name { get; set; }
        public string Department { get; set; }
        public int Salary { get; set; }
        public string Email { get; set; }
        public Color FavoriteColor { get; set; }
    }

    public class InternalExtneralConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is Color)
                return new SolidColorBrush((Color)value);
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
